BaseDbRowOp (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.flush.operation, class: BaseDbRowOp

# Class BaseDbRowOp

java.lang.Object
org.apache.cayenne.access.flush.operation.BaseDbRowOp

All Implemented Interfaces:
  `DbRowOp`

Direct Known Subclasses:
  `DeleteDbRowOp, DeleteInsertDbRowOp, InsertDbRowOp, UpdateDbRowOp`

public abstract class BaseDbRowOp extends Object implements DbRowOp

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ObjectId`
  `changeId`
  `protected final DbEntity`
  `entity`
  `protected int`
  `hashCode`
  `protected final Persistent`
  `object`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseDbRowOp(Persistent object, DbEntity entity, ObjectId id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `entitiesHaveSameNameAndDataMap(DbRowOp rowOp)`
  Internal check used in the batching ops logic
  `boolean`
  `equals(Object o)`
  `ObjectId`
  `getChangeId()`
  `DbEntity`
  `getEntity()`
  `Persistent`
  `getObject()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface DbRowOp

  `accept, isSameBatch`
  Modifier and Type
  Method
  Description
  `<T> T`
  `accept(DbRowOpVisitor<T> visitor)`
  `boolean`
  `isSameBatch(DbRowOp rowOp)`

- ## Field Details

  - ### object

    protected final Persistent object

  - ### entity

    protected final DbEntity entity

  - ### changeId

    protected ObjectId changeId

  - ### hashCode

    protected int hashCode

- ## Constructor Details

  - ### BaseDbRowOp

    protected BaseDbRowOp(Persistent object, DbEntity entity, ObjectId id)

- ## Method Details

  - ### getEntity

    public DbEntity getEntity()
    Specified by:
      `getEntity` in interface `DbRowOp`

  - ### getChangeId

    public ObjectId getChangeId()
    Specified by:
      `getChangeId` in interface `DbRowOp`

  - ### getObject

    public Persistent getObject()
    Specified by:
      `getObject` in interface `DbRowOp`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### entitiesHaveSameNameAndDataMap

    protected boolean entitiesHaveSameNameAndDataMap(DbRowOp rowOp)
    Internal check used in the batching ops logic
    Parameters:
      `rowOp` - to compare with
    Returns:
      true if another op has the same entity name and datamap